#include <bits/stdc++.h>

using namespace std;

int main()
{
    string a, b;
    cin >> a >> b;
    int minimum = 0;
    queue <int> niz[b.size()];
    int kraj = b.size()-1;
    int brojac = a.size()-1;

    while(a[brojac] != b[kraj])
        brojac--;

    while(a[brojac] != b[kraj-1])
    {
        if(a[brojac] == b[kraj])
            niz[kraj].push(brojac);
        brojac--;
    }
    kraj = brojac;
    brojac = 0;
    int pocetak = 0;
    while(brojac != kraj + 1)
    {
        while(a[brojac] != b[pocetak])
            brojac++;
        while(a[brojac] != b[pocetak+1])
        {
            if(a[brojac] == b[pocetak])
                niz[pocetak].push(brojac);
            brojac++;
        }
        if(niz[minimum].size() > niz[pocetak].size()) minimum = pocetak;
        pocetak++;
    }
    cout<< niz[minimum].size() << endl;
    while(!niz[minimum].empty())
    {
        a[niz[minimum].front()] = '*';
        niz[minimum].pop();
    }
    cout << a;
}